DimensionAction Class Reference

Implements the command line interface action dimension. More...

`#include <DimensionAction.h>`

Inheritance diagram for DimensionAction:

## Public Member Functions

| DimensionAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | perform ()
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | processNonParameter (const char *str)
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
virtual bool | displayAction () const
| Returns whether this action should be shown to the user by the help action.
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Private Attributes

BoolParameter | _codimension
BoolParameter | _squareFreeAndMinimal
BoolParameter | _useSlice
IOParameters | _io

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Implements the command line interface action dimension.

Definition at line 25 of file DimensionAction.h.

## Constructor & Destructor Documentation

## DimensionAction()

DimensionAction::DimensionAction | ( |  | ) |

Todo
  Expand the description of this action.

Definition at line 35 of file DimensionAction.cpp.

## Member Function Documentation

## obtainParameters()

void DimensionAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 67 of file DimensionAction.cpp.

## perform()

void DimensionAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 75 of file DimensionAction.cpp.

## staticGetName()

const char * DimensionAction::staticGetName | ( |  | ) |

static

Definition at line 101 of file DimensionAction.cpp.

## Member Data Documentation

## _codimension

BoolParameter DimensionAction::_codimension

private

Definition at line 36 of file DimensionAction.h.

## _io

IOParameters DimensionAction::_io

private

Definition at line 39 of file DimensionAction.h.

## _squareFreeAndMinimal

BoolParameter DimensionAction::_squareFreeAndMinimal

private

Definition at line 37 of file DimensionAction.h.

## _useSlice

BoolParameter DimensionAction::_useSlice

private

Definition at line 38 of file DimensionAction.h.

The documentation for this class was generated from the following files:

- src/DimensionAction.h
- src/DimensionAction.cpp